Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042882
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-15 10:282020-02-06 16:50
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision1d8684e8e184
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042882: Apply new HQL Style in CostingTransactionsHQLTransformer.java

DescriptionCostingTransactionsHQLTransformer.java has one HQL query with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116942)
inigo_lerga (developer)
2020-01-16 17:08

Test Plan Mantis HQL queries:
As the F&B International Group Admin role:
    - Go to the Product window and open the record
      of "Cerveza Lager 0,5L".
    - Go to the Tab Costing.
    - Select any record with an Inventory Transaction.
    - Go to the Average Cost Transactions.
    #In this moment the modified HQL is executed#
(0117520)
hgbot (developer)
2020-02-06 16:49

Repository: erp/devel/pi
Changeset: 7bc9944620b3800bdeeb94a5c439e14f30cd8a7a
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Jan 16 17:03:35 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7bc9944620b3800bdeeb94a5c439e14f30cd8a7a [^]

fixes BUG-42882:Applied new HQL Style

---
M src/org/openbravo/common/datasource/CostingTransactionsHQLTransformer.java
---
(0117521)
hgbot (developer)
2020-02-06 16:49

Repository: erp/devel/pi
Changeset: 1d8684e8e184db487c68b6fa065d726c7c41e504
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Fri Jan 17 09:24:29 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1d8684e8e184db487c68b6fa065d726c7c41e504 [^]

fixes BUG-42882:Applied TRY result corrections

---
M src/org/openbravo/common/datasource/CostingTransactionsHQLTransformer.java
---
(0117522)
dmiguelez (developer)
2020-02-06 16:50

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-15 10:28 inigo_lerga New Issue
2020-01-15 10:28 inigo_lerga Assigned To => inigo_lerga
2020-01-15 10:28 inigo_lerga Modules => Core
2020-01-15 10:28 inigo_lerga Triggers an Emergency Pack => No
2020-01-15 10:28 inigo_lerga Relationship added related to 0041287
2020-01-15 13:45 inigo_lerga Status new => scheduled
2020-01-15 13:47 inigo_lerga Description Updated View Revisions
2020-01-16 17:08 inigo_lerga Note Added: 0116942
2020-02-06 16:49 hgbot Checkin
2020-02-06 16:49 hgbot Note Added: 0117520
2020-02-06 16:49 hgbot Status scheduled => resolved
2020-02-06 16:49 hgbot Resolution open => fixed
2020-02-06 16:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7bc9944620b3800bdeeb94a5c439e14f30cd8a7a [^]
2020-02-06 16:49 hgbot Checkin
2020-02-06 16:49 hgbot Note Added: 0117521
2020-02-06 16:49 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/7bc9944620b3800bdeeb94a5c439e14f30cd8a7a [^] => http://code.openbravo.com/erp/devel/pi/rev/1d8684e8e184db487c68b6fa065d726c7c41e504 [^]
2020-02-06 16:50 dmiguelez Review Assigned To => dmiguelez
2020-02-06 16:50 dmiguelez Note Added: 0117522
2020-02-06 16:50 dmiguelez Status resolved => closed
2020-02-06 16:50 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker